import { PublicKey, PublicKeyStatus } from '../../crypto';
/**
 * Gets the public key associated with ONT ID from blockchain.
 *
 * @param publicKeyId The ID of a signature public key
 * @param url Restful endpoint of Ontology node
 */
export declare function retrievePublicKey(publicKeyId: string, url: string): Promise<PublicKey>;
/**
 * Gets the state of public key associated with ONT ID from blockchain.
 *
 * @param publicKeyId The ID of a signature public key
 * @param url Restful endpoint of Ontology node
 */
export declare function retrievePublicKeyState(publicKeyId: string, url: string): Promise<PublicKeyStatus>;
/**
 * Extracts ONT ID from public key Id.
 *
 * @param publicKeyId The ID of a signature public key
 */
export declare function extractOntId(publicKeyId: string): string;
