/**
 * Representation of Verifiable Credential according to w3c spec.
 */
export declare class VerifiableCredentialAttribute {
    /**
     * Maps json into VerifiableCredential object.
     *
     * @param json - verifiable-credential representation
     */
    static fromJson(json: any): VerifiableCredentialAttribute;
    '@context': string[];
    type: string[];
    issuer: string;
    credentialSubject: any;
    constructor(type: string[], issuer: string, credentialSubject: any);
}
